Bug 660419 (CVE-2010-3772)

Summary: CVE-2010-3772 Mozilla crash and remote code execution using HTML tags inside a XUL tree (MFSA 2010-77)
Product: [Other] Security Response Reporter: Josh Bressers <bressers>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: ddumas, gecko-bugs-nobody, security-response-team, stransky, vdanen
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: public=20101209,reported=20101203,source=mozilla,impact=critical,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-4.8.z/firefox=affected,rhel-5.5.z/firefox=affected,rhel-6.0.z/firefox=affected,rhel-4.9/seamonkey=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-12 14:11:44 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Josh Bressers 2010-12-06 14:00:23 EST
Security researcher wushi of team509 reported that when a XUL tree had an
HTML <div> element nested inside a <treechildren> element then code
attempting to display content in the XUL tree would incorrectly treat the
<div> element as a parent node to tree content underneath it resulting in
incorrect indexes being calculated for the child content. These incorrect
indexes were used in subsequent array operations which resulted in writing
data past the end of an allocated buffer. An attacker could use this issue
to crash a victim's browser and run arbitrary code on their machine.
Comment 1 Vincent Danen 2010-12-09 17:04:44 EST
This is now public:

http://www.mozilla.org/security/announce/2010/mfsa2010-77.html
Comment 2 errata-xmlrpc 2010-12-09 18:09:07 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2010:0966 https://rhn.redhat.com/errata/RHSA-2010-0966.html
Comment 3 errata-xmlrpc 2010-12-09 18:30:01 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0967 https://rhn.redhat.com/errata/RHSA-2010-0967.html
Comment 4 errata-xmlrpc 2010-12-09 18:50:41 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0968 https://rhn.redhat.com/errata/RHSA-2010-0968.html